Subject: TeXhax Digest V95 #04
From: [email-masked]
To: TeXhax Distribution: ;
Date: Mon, 30 Jan 1995 15:42:47 +0000

TeXhax Digest    Monday, 30 Jan 1995  Volume 95 : Issue 04
(incorporating UKTeX Digest)

Today's Topics:
         TeX, how to detect already defined control sequences
                           Archived TeXhax?
                         Re: Archived TeXhax?
                  Re: Plain text and numbering lines
                  Re: Plain text and numbering lines
           Announce: Catalan hyphenation patterns available

Administrivia:
    Moderators:    David Osborne and Peter Abbott
    Contributions: [email-masked]
    Subscription and unsubscription requests: [email-masked]
    (message body = "subscribe texhax" or "unsubscribe texhax", [no quotes])

----------------------------------------------------------------------

Date:    Tue, 24 Jan 1995 08:34:37 +0700
From:    [email-masked]
Subject: TeX, how to detect already defined control sequences

Hello,

I would like to know if there is a way, in TeX, to test for
the existence of a control sequence.

What I want to do is to programmatically detect if a macro
has already been defined.

I devised this (ugly) piece of code:

        \def\MYMACRO{anything}
        \ifx\MYMACRO\UNDEFINED
             The macro is {\it not\/} defined
        \else
             The macro {\it is\/} defined
        \fi

It works, provided that the dummy macro \UNDEFINED is
*really* undefined!

There must be a more reliable (and elegant!) way to do the
same thing. Can you give me any hint?
Any help will be appreciated.
Thanks in advance.

- ------------------------------------------------------------------------------
Paolo Vicario
UNIX system manager
Universita` degli Studi di Udine - Centro di Calcolo
via Mantica 3
I 33100 UDINE

Tel.  +39 432 556704         Internet:  [email-masked]
FAX   +39 432 556729         DECnet:    UDUNIV::PAOLO (37963::PAOLO)
Tlx. 450412 UNIVUD I
- ------------------------------------------------------------------------------

------------------------------

Date:    Tue, 24 Jan 1995 11:38:20 -0500
From:    [email-masked] (Fang Zhong)
Subject: Archived TeXhax?

Do you have the Digest archived for retrieving via http or ftp?

------------------------------

Date:    Wed, 25 Jan 1995 11:09:22 +0000
From:    [email-masked]
Subject: Re: Archived TeXhax?

> Do you have the Digest archived for retrieving via http or ftp?

Yes.  All back-issues of the digest are archived in the CTAN (Comprehensive 
TeX Archive Network), of which your nearest will be ftp.shsu.edu (ftp access) 
or www.shsu.edu (http access).  There's also a hypertext version built using 
Hypermail, which has recently been set up and was announced in V95 #02.
The information on archived copies is carried in the "trailer" at the end of 
each digest, which you should read for more information.

~~David Osborne (TeXhax Digest moderator)

------------------------------

Date:    Tue, 24 Jan 1995 11:52:18 -0500
From:    [email-masked]
Subject: Re: Plain text and numbering lines

The best way to produce marginal line numbers in prose in plain TeX is
to use the EDMAC macro package, by John Lavagnino and Dominik Wujastyk.
This is a package of plain TeX macros designed for the production of
scholarly editions, and it produces marginal line numbers in a very nifty
way. You can get a copy of EDMAC at a CTAN site near you, such as at
pip.shsu.edu if you are writing from the U.S. I'm not sure off the top of
my head what subdirectory it is in, but it isn't hard to find.

If you are producing line numbers for verse rather than prose, and you are
using LaTeX rather than plain TeX,  one way of doing it (the way I do it)
is to define a /verseline macro, which increments a counter and prints a
line number (using marginpar) every n lines. But that won't work from
prose, obviously. EDMAC is probably the way to go!
John Burt
Brandeis University

------------------------------

Date:    Sat, 28 Jan 1995 20:57:22 +0000
From:    Dominik Wujastyk <[email-masked]>
Subject: Re: Plain text and numbering lines

On plain text with numbered lines, try using EDMAC.  It does the job
well, but it has a lot of bells and whistles that you may not need for
simple line-numbering.  E.g., it has elaborate footnote mechanisms to
let you have footnotes referring to the line numbers, etc.

Still, it can do what you want.  See the file edmac316.zip or edmac.doc
which is on CTAN somewhere.

Dominik

- --
Dr Dominik Wujastyk     |            Email:   [email-masked]
Tel:   +91-80-843-5320  |  NB: if you have
              or -5249  |  trouble mailing
                        |  to this address,
                        |              try:   [email-masked]
                        |  [Do Not send to:   [email-masked]]

------------------------------

Date:    Thu, 19 Jan 1995 15:47:44 +0000
From:    [email-masked] (Goncal Badenes)
Subject: Announce: Catalan hyphenation patterns available

Hi,

this is to announce that my set of hyphenation patterns for the Catalan
language have been uploaded to ctan. They should be available as
language/hyphenation/cahyph.tex.

An excerpt from the file follows:

% Hyphenation patterns for Catalan.
% This is version 1.10
% Compiled by Gon\c{c}al Badenes and Francina Turon,
%       December 1991-January 1995.
%
% Copyright (C) 1991-1995 Gon\c{c}al Badenes
%
% General permission for use and non-profit redistribution is granted.
% For special commercial use, contact the address above.
%
% This patterns have been created using standard, conservative
% hyphenation rules for catalan. The results have refined running them
% through patgen. In that way, the number of hits has been increased.
%
% These rules produce no wrong patterns (Results checked against the
% ``Diccionari Ortogr\`afic i de Pron\'uncia'', Enciclop\`edia
% Catalana. The percentage of valid hyphen misses is lower than 1%
%
% *** IMPORTANT ***
% \lefthyphenmin and \righthyphenmin should be set to 2 and 2
% respectively. If you set them below these values incorrect breaks
% will happen (specially at the beginning of foreign words and words
% which begin with some prefixes).
% *** IMPORTANT ***
%
% Please report any problem you might have to the authors!!!
%

Enjoy it!

        Goncal Badenes

- --
Goncal Badenes, PhD                     Tel: +32 16 281517
IMEC                                    Fax: +32 16 281214
Advanced Semiconductor Processing
0.25um CMOS Process Integration
Kapeldreef 75                           e-mail: [email-masked]
B-3001 Leuven (Belgium)

------------------------------
About TeXhax...

Please send contributions to: [email-masked]

Subscription and unsubscription requests:
    send a one line mail message to [email-masked]
    containing either               subscribe texhax
    or                              unsubscribe texhax

To obtain the Frequently Asked Questions (FAQ) lists for TeX, send a
message with no subject to [email-masked], consisting of
SENDME FAQ

For information on the TeX Users Group, please send a message to
[email-masked], or write TeX Users Group, P.O. Box 869, Santa Barbara,
CA 93102, USA.

Backnumbers of all the digests are stored in the Comprehensive TeX
Archive Network (CTAN) and can be retrieved on the Internet by
anonymous ftp.  The hosts comprising CTAN include
    ftp.dante.de (129.69.1.12)   -- Germany
    ftp.shsu.edu (192.92.115.10) -- USA
    ftp.tex.ac.uk (128.232.1.87) -- UK
TeXhax Digest issues are filed below /tex-archive/digests/texhax/
Keyword-In-Context Indexes are filed in /tex-archive/digests/indexes/

A Hypermail version of TeXhax is also available on the World-Wide Web at URL
http://www.tex.ac.uk/tex-archive/digests/hyper/

Please use your nearest server, to keep network load down.
The file /tex-archive/CTAN.sites on each of these hosts gives a
list of other sites which maintain full or partial mirrors of the CTAN.
Alternatively, finger [email-masked] for full details.

\bye

End of TeXhax Digest [Volume 95 Issue 4]
****************************************